BasicBatchKey (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.batch.internal
Class BasicBatchKey

    java.lang.Object
      org.hibernate.engine.jdbc.batch.internal.BasicBatchKey

All Implemented Interfaces:
  BatchKey

    public class BasicBatchKey

extends Object
implements BatchKey

Constructor Summary
`BasicBatchKey(String comparison, Expectation expectation)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `getBatchedStatementCount()` How many statements will be in this batch? Note that this is distinctly different than the size of the batch.
`Expectation` | `getExpectation()` Get the expectation pertaining to the outcome of the `Batch` associated with this key.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicBatchKey

    public BasicBatchKey(String comparison,
                         Expectation expectation)

Method Detail

### getExpectation

    public Expectation getExpectation()

  Description copied from interface: `BatchKey`
  Get the expectation pertaining to the outcome of the `Batch` associated with this key.

  Specified by:
    `getExpectation` in interface `BatchKey`
  Returns:
    The expectations

### getBatchedStatementCount

    public int getBatchedStatementCount()

  Description copied from interface: `BatchKey`
  How many statements will be in this batch?

  Note that this is distinctly different than the size of the batch.

  Specified by:
    `getBatchedStatementCount` in interface `BatchKey`
  Returns:
    The number of statements.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.